Summary: FAM, the File Alteration Monitor.
Name: fam
Version: 2.6.4
Release: 16
License: GPL/LGPL
Group: System Environment/Daemons
URL: http://oss.sgi.com/projects/fam/
Source: fam-oss-%{version}.tar.gz
Source2: sgi_fam.xinetd
Patch1: fam-2.6.4-dnotify.patch
Patch2: fam_build.patch
Patch3: fam-2.6.4-creds.patch
Patch4: fam-oss-2.6.4-changed_race.patch
Patch5: fam-btree.patch
BuildRoot: %{_tmppath}/fam-%{PACKAGE_VERSION}-root
Requires: portmap
Requires: xinetd >= 2.1.8.9pre15
Prefix: %{_prefix}

%description
FAM, the File Alteration Monitor, provides a daemon and an API which
applications can use for notification of changes in specific files or
directories.

%package devel
Summary: FAM, the File Alteration Monitor development files.
Group: Development/Libraries
Requires: fam = %{PACKAGE_VERSION}

%description devel
Static libraries and header files for fam, the File Alteration
Monitor.

%prep
%setup -n fam-oss-%{version}
%ifnarch s390 s390x
%patch1 -p1
%endif
%patch2 -p1
%patch3 -p1
%patch4 -p1
%ifarch s390 s390x
%patch5 -p1
%endif

%build
#The patch changes configure.in, so we have to regenerate some files
libtoolize --force
aclocal
autoconf
autoheader
automake --add-missing

./configure --prefix=%{prefix} \
            --sysconfdir=/etc \
            --mandir=%{_mandir} \
            --with-CFLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
cp $RPM_SOURCE_DIR/sgi_fam.xinetd $RPM_BUILD_ROOT/etc/xinetd.d/sgi_fam
if [ -x $RPM_BUILD_ROOT%{_bindir}/fam.C ] ; then
  mv $RPM_BUILD_ROOT%{_bindir}/fam.C $RPM_BUILD_ROOT%{_bindir}/fam
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
killall -q -USR1 xinetd
exit 0

%postun
/sbin/ldconfig
killall -q -USR1 xinetd
exit 0

%files
%defattr(-,root,root)

%doc ChangeLog COPYING INSTALL INSTALL.rpm README TODO
%config(noreplace) /etc/xinetd.d/sgi_fam
%config(noreplace) /etc/fam.conf
%{_bindir}/fam
%{_libdir}/libfam.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_libdir}/libfam.so
%{_libdir}/libfam.la
%{_libdir}/libfam.a
%{_includedir}/fam.h
%{_mandir}/man3/*

%changelog
* Mon Oct 22 2001 Than Ngo <than@redhat.com> 2.6.4-16
- d'ont use dnotify on s390 (#53764,
- cleanup specfile

* Tue Oct  3 2001 Alex Larsson <alexl@redhat.com> 2.6.4-14
- Look at mtime for stat_changed too.

* Tue Oct  2 2001 Alex Larsson <alexl@redhat.com> 2.6.4-13
- Add changed in same second racecondition half-fix.

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Wed Aug 22 2001 Alex Larsson <alexl@redhat.com> 2.6.4-11
- Fix the comment in the xinetd file
- This fixes bug #52328

* Tue Aug 14 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-10
- Only set version=2 in xinetd config file, because some xinetds
- seems to have a problem registering several versions of an rpc
- with the portmapper. Fixes the disappearing icons problem in
- Nautilus.

* Tue Aug  7 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-9
- Fixed dnotify detection 

* Tue Aug  7 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-8
- Add patch that fixes problem when several different users
- connect to fam.

* Wed Jul 04 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Make killall silent.

* Wed Jul 04 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- make sure scripts exit without failure

* Mon Jul 2 2001 Alexander Larsson <alexl@redhat.com>
- Release 5. Some specfile cleanups

* Mon Jul 2 2001 Alexander Larsson <alexl@redhat.com>
- Release 4. Bind the server to 127.0.0.1 to avoid external
- connections. New dnotify patch that handles (i hope)
- queue overruns. Make the service UNLISTED so that modification
- of /etc/rpc isn't needed.

* Wed Jun 27 2001 Alexander Larsson <alexl@redhat.com>
- release 3, require xinetd pre15 because of brokenness in pre14
- Install the service in /etc/rpc

* Tue Jun 26 2001 Alexander Larsson <alexl@redhat.com>
- Initial version, based on the one in the fam distribution.
- release is 2 to avoid collisions with the distribution version
